/*
 * Wire
 * Copyright (C) 2024 Wire Swiss GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
 */

package com.wire.kalium.mocks.responses.connection

import com.wire.kalium.mocks.responses.ValidJsonProvider

object ConnectionRequestsJson {

    val validEmptyBody = ValidJsonProvider(String) {
        """
            {
                "size":500
            }
        """.trimIndent()
    }

    val validPagingState = ValidJsonProvider("PAGING_STATE_1234") {
        """
            {
                "paging_state": "$it",
                "size":500
            }
        """.trimIndent()
    }

    val validConnectionStatusUpdate = ValidJsonProvider("accepted") {
        """
            {
                "status": "$it"  
            }
        """.trimIndent()
    }
}
